(function () {
'use strict';

function checkItems() {
    const file = document.getElementById('file');
    let size = 0;
    for (let i = 0; i < file.files.length; i++) {
        size += file.files[i].size;
    }

    const sizeInMb = size / 1024 / 1024;
    if (sizeInMb > 20) {
        removeError();
        addError(`エラー:　ファイルサイズが20MBを超えています（${Math.ceil(sizeInMb)}MB）。`);
    } else {
        removeError();
    }
}

function addError(message) {
    const p = document.createElement('p');
    p.textContent = message;

    const container = document.getElementById('error-container');
    container.appendChild(p);
}

function removeError() {
    const container = document.getElementById('error-container');
    container.textContent = '';
}

const form = document.getElementById('form');
form.addEventListener('change', checkItems, false);
setTimeout(checkItems, 0);
})();
