(function () {
'use strict';

class Day {
    constructor(calendar, domElement, index) {
        this.calendar = calendar;
        // (注:td要素)
        this.domElement = domElement;
        this.index = index;

        this.init();
    }

    init() {
        // td要素（this.domElement）がクリックされた場合の処理
        this.domElement.addEventListener('click', e => {
            this.calendar.updateSelection(this);
        }, false);
    }

    get text() {
        const time = this.domElement.querySelector('time');
        return time.getAttribute('datetime');
    }
}

class Calendar {
    constructor(domElement) {
        // (注:table要素)
        this.domElement = domElement;
        this.selectedDay = null;
        this.init();
    }

    init() {
        this.days = [];

        // table要素からtd要素を探す
        const elements = this.domElement.querySelectorAll('tbody td');
        for (let i = 0; i < elements.length; i++) {
            const element = elements[i];
            const day = new Day(this, element, i);
            this.days.push(day);
        }
    }

    updateSelection(newSelectedDay) {
        if (this.selectedDay === newSelectedDay) {
            return;
        }

        this.selectedDay = newSelectedDay;

        // XXX
        document.getElementById('result').textContent = this.selectedDay.text;
    }
}

new Calendar(document.querySelector('.calendar'));

})();
